<?php
/* VR pay eCommerce paydirekt controller in admin
 *
 * @version 2.3.03
 * @date 2018-01-03
 *
 */
include_once(dirname(__FILE__) . '/../../vrpayecommerce/vrpayecommerce_admin.php');

class ControllerExtensionPaymentVrpayecommercePaydirekt extends ControllerVrpayecommerceAdmin {
	protected $code = 'vrpayecommerce_paydirekt';
	protected $keys = array('server','transaction_mode','channel_id','total','geo_zone_id','status','sort_order','payment_is_partial','minimum_age');

	/**
	 * to validate another field in the payment method configuration
	 *
	 * @return  boolean
	 */
	public function validate() {
		$validate = parent::validate();
		if(empty($this->request->post['vrpayecommerce_paydirekt_minimum_age'])){
			$this->error['warning'] = $this->language->get('BACKEND_CH_MINIMUM_AGE') . ' ' . $this->language->get('ERROR_MANDATORY');
			$validate = false;
		}
		return $validate;
	}
}
