<?php
/* VR pay eCommerce Credit Cards (recurring) checkout controller
 *
 * @version 2.3.03
 * @date 2018-01-03
 *
 */
include_once(dirname(__FILE__) . '/vrpayecommerce_cc.php');

class ControllerCheckoutVrpayecommerceCcSaved extends ControllerCheckoutVrpayecommerceCc {
	protected $account_type = 'card';
	protected $group_recurring = 'CC';
	protected $code = "vrpayecommerce_cc_saved";
	protected $logo = "visa.png";
	protected $recurring = true;

	/**
	 * Get payment parameters
	 *
	 * @return array
	 */
	protected function getPaymentParameters() {
		$payment_parameters = parent::getPaymentParameters();
		$payment_parameters['3D']['amount'] = $payment_parameters['amount'];
		$payment_parameters['3D']['currency'] = $payment_parameters['currency'];

		return $payment_parameters;
	}
}
