<?php
/* VR pay eCommerce Direct Debit (recurring) checkout controller
 *
 * @version 2.3.03
 * @date 2018-01-03
 *
 */
include_once(dirname(__FILE__) . '/../vrpayecommerce/vrpayecommerce.php');

class ControllerCheckoutVrpayecommerceDdSaved extends ControllerVrpayecommerce {
	protected $account_type = 'bankAccount';
	protected $group_recurring = 'DD';
	protected $code = "vrpayecommerce_dd_saved";
	protected $brand = "DIRECTDEBIT_SEPA";
	protected $logo = "sepa.png";
	protected $recurring = true;

	/**
	 * Get a payment type
	 *
	 * @return  string
	 */
	function getPaymentType()
	{
	  return $this->getPaymentTypeSelection();
	}
}
