<?php
/* VR pay eCommerce Pay later. checkout controller
 *
 * @version 2.3.1
 * @date 2017-10-05
 *
 */
include_once(dirname(__FILE__) . '/../vrpayecommerce/vrpayecommerce.php');

class ControllerCheckoutVrpayecommerceKlarna extends ControllerVrpayecommerce {
	protected $payment_type = "PA";

	/**
	 * Get payment parameters
	 *
	 * @return array
	 */
	protected function getPaymentParameters() {
		$payment_parameters = parent::getPaymentParameters();
		$order_info = $this->getOrderInfo();
		$payment_parameters['customer']['sex'] = $this->getCustomerSex($order_info['custom_field']);
		$payment_parameters['customer']['birthdate'] = $this->getCustomerDob($order_info['custom_field']);
		$payment_parameters['customer']['phone'] = $order_info['telephone'];
		$payment_parameters['customParameters']['KLARNA_CART_ITEM1_FLAGS'] = 32;
		$payment_parameters['cartItems'] = $this->getCartItems();

		return $payment_parameters;
	}
}