<?php
/* VR pay eCommerce Paypal (recurring) checkout controller
 *
 * @version 2.3.03
 * @date 2018-01-03
 *
 */
include_once(dirname(__FILE__) . '/../vrpayecommerce/vrpayecommerce.php');

class ControllerCheckoutVrpayecommercePaypalSaved extends ControllerVrpayecommerce {
	protected $account_type = 'virtualAccount';
	protected $group_recurring = 'VA';
	protected $code = "vrpayecommerce_paypal_saved";
	protected $brand = "PAYPAL";
	protected $template = 'extension/payment/vrpayecommerce/paypalsaved';
	protected $recurring = true;
	protected $redirect = true;
	protected $logo = "paypal.png";

	/**
	 * Get payment parameters
	 *
	 * @return array
	 */
	protected function getPaymentParameters() {
		$payment_parameters = parent::getPaymentParameters();
		unset($payment_parameters['payment_type']);

		return $payment_parameters;
	}
}
