<?php
/* VR pay eCommerce Paypal (recurring) payment controller
 *
 * @version 2.3.03
 * @date 2018-01-03
 *
 */
include_once(dirname(__FILE__) . '/../../vrpayecommerce/vrpayecommerce.php');

class ControllerExtensionPaymentVrpayecommercePaypalSaved extends ControllerVrpayecommerce {
	protected $account_type = 'virtualAccount';
	protected $code = 'vrpayecommerce_paypal_saved';
	protected $recurring = true;
	protected $group_recurring = 'VA';

	/**
	 * this function is the constructor of ControllerExtensionPaymentVrpayecommercePaypalSaved class
	 *
	 * @return  void
	 */
	public function index() {

		return $this->confirmHtml();
	}

	/**
	 * Get an account of payment method recurring
	 *
	 * @param   array  $payment_status
	 * @return  array
	 */
	function getAccount($payment_status) {
		$account = $payment_status[$this->account_type];
		$account['email'] = $account['accountId'];

		return $account;
	}
}
