<?php echo $header; ?>
<?php if (file_exists('catalog/view/theme/' . $config_template . '/vrpayecommerce/account_payment_form.css')):?>
	<link href="catalog/view/theme/<?php echo $config_template; ?>/stylesheet/vrpayecommerce/account_payment_form.css" rel="stylesheet" type="text/css">
<?php else:?>
	<link href="catalog/view/theme/default/stylesheet/vrpayecommerce/account_payment_form.css" rel="stylesheet" type="text/css">
<?php endif;?>
<div class="container">
  <ul class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
    <?php } ?>
  </ul>
	<div class="row"><?php echo $column_left; ?>
    <?php if ($column_left && $column_right) { ?>
    <?php $class = 'col-sm-6'; ?>
    <?php } elseif ($column_left || $column_right) { ?>
    <?php $class = 'col-sm-9'; ?>
    <?php } else { ?>
    <?php $class = 'col-sm-12'; ?>
    <?php } ?>
    <div id="content" class="<?php echo $class; ?>"><?php echo $content_top; ?>

	<?php if ($is_recurring_active){ ?>
		<div class="page-title">
			<h1><?=$FRONTEND_MC_INFO?></h1>
		</div>

		<?php if (isset($success)) { ?>
  			<div class="alert alert-success"><i class="fa fa-check-circle"></i> <?php echo $success; ?>
				<button type="button" class="close" data-dismiss="alert">&times;</button>
  			</div>
  		<?php } ?>

		<?php if (isset($error)) { ?>
			<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error; ?>
	      		<button type="button" class="close" data-dismiss="alert">&times;</button>
	    	</div>
  		<?php } ?>

		<?php if ($is_cc_recurring_active){ ?>
			<div class="group"><h3><?=$FRONTEND_MC_CC?></h3></div>
			<?php foreach ($customer_cc_account as $key => $value) { ?>
				<div class="group-list">
					<div class="group-img">
						<?php if (file_exists('catalog/view/theme/' . $config_template . '/vrpayecommerce/' . strtolower($value['brand']) .'png')):?>
							<img src="catalog/view/theme/<?php echo $config_template; ?>/image/vrpayecommerce/<?php echo strtolower($value['brand']);?>.png" class="brandImage" alt="<?php echo $value['brand'];?>">
						<?php else:?>
							<img src="catalog/view/theme/default/image/vrpayecommerce/<?php echo strtolower($value['brand']);?>.png" class="brandImage" alt="<?php echo $value['brand'];?>">
						<?php endif;?>
					</div>
					<span class="group-info"><?=$FRONTEND_MC_ENDING?><?php echo $value['last4digits'].'; ';?><?=$FRONTEND_MC_VALIDITY?><?php echo $value['expiry_month'];?>/<?php echo substr($value['expiry_year'],-2);?></span>
					<div class="group-button">
						<?php if ($value['payment_default']){ ?>
							<button class="btn btn-primary btnDefault"><?=$FRONTEND_MC_BT_DEFAULT?></button>
						<?php }else { ?>
							<form class="btnDefault" action="<?php echo $default_payment;?>" method="post">
								<input type="hidden" name="id" value="<?php echo $value['id'];?>"/>
								<input type="hidden" name="payment_group" value="CC"/>
								<button style = "width:100%;" class="btn btn-primary btnDefault" type="submit" value="submit"><?=$FRONTEND_MC_BT_SETDEFAULT?></button>
							</form>	
						<?php }?>
						<form class="btnChange" action="<?php echo $change_payment;?>" method="post">
							<input type="hidden" name="id" value="<?php echo $value['id'];?>"/>
							<input type="hidden" name="selected_payment" value="vrpayecommerce_cc_saved"/>
							<button style = "width:100%;" class="btn btn-primary" type="submit" value="submit"><?=$FRONTEND_MC_BT_CHANGE?></button>
						</form>
						<form class="btnDelete" action="<?php echo $delete_payment;?>" method="post">
							<input type="hidden" name="id" value="<?php echo $value['id'];?>"/>
							<input type="hidden" name="selected_payment" value="vrpayecommerce_cc_saved"/>
							<button style = "width:100%;" class="btn btn-primary" type="submit" value="submit"><?=$FRONTEND_MC_BT_DELETE?></button>
						</form>
					</div>
				</div>
			<?php }?>
			<div class="group-add">
				<form class = "btnAdd" action="<?php echo $register_payment;?>" method="post">
					<input type="hidden" name="selected_payment" value="vrpayecommerce_cc_saved"/>
					<button style = "width:100%;" class="btn btn-primary" type="submit" value="submit"><?=$FRONTEND_MC_BT_ADD?></button>
				</form>
			</div>
			<div class="group-separator"></div>
		<?php }?>

		<?php if ($is_dd_recurring_active){ ?>
			<div class="group"><h3><?=$FRONTEND_MC_DD?></h3></div>
			<?php foreach ($customer_dd_account as $key => $value) { ?>
				<div class="group-list">
					<div class="group-img">
						<?php if (file_exists('catalog/view/theme/' . $config_template . '/vrpayecommerce/sepa.png')):?>
							<img src="catalog/view/theme/<?php echo $config_template; ?>/image/vrpayecommerce/sepa.png" class="brandImage" alt="SEPA">
						<?php else:?>
							<img src="catalog/view/theme/default/image/vrpayecommerce/sepa.png" class="brandImage" alt="SEPA">
						<?php endif;?>
					</div>
					<span class="group-info"><?=$FRONTEND_MC_ACCOUNT?> <?php echo $value['last4digits'];?></span>
					<div class="group-button">
						<?php if($value['payment_default']){ ?>
							<button class="btn btn-primary btnDefault"><?=$FRONTEND_MC_BT_DEFAULT?></button>
						<?php }else { ?>
							<form class="btnDefault" action="<?php echo $default_payment;?>" method="post">
								<input type="hidden" name="id" value="<?php echo $value['id'];?>"/>
								<input type="hidden" name="payment_group" value="DD"/>
								<button style = "width:100%;" class="btn btn-primary btnDefault" type="submit" value="submit"><?=$FRONTEND_MC_BT_SETDEFAULT?></button>
							</form>	
						<?php }?>
						<form class="btnChange" action="<?php echo $change_payment;?>" method="post">
							<input type="hidden" name="id" value="<?php echo $value['id'];?>"/>
							<input type="hidden" name="selected_payment" value="vrpayecommerce_dd_saved"/>
							<button style = "width:100%;" class="btn btn-primary" type="submit" value="submit"><?=$FRONTEND_MC_BT_CHANGE?></button>
						</form>
						<form class="btnDelete" action="<?php echo $delete_payment;?>" method="post">
							<input type="hidden" name="id" value="<?php echo $value['id'];?>"/>
							<input type="hidden" name="selected_payment" value="vrpayecommerce_dd_saved"/>
							<button style = "width:100%;" class="btn btn-primary" type="submit" value="submit"><?=$FRONTEND_MC_BT_DELETE?></button>
						</form>
					</div>
				</div>
			<?php }?>
			<div class="group-add">
				<form class = "btnAdd" action="<?php echo $register_payment;?>" method="post">
					<input type="hidden" name="selected_payment" value="vrpayecommerce_dd_saved"/>
					<button style = "width:100%;" class="btn btn-primary" type="submit" value="submit"><?=$FRONTEND_MC_BT_ADD?></button>
				</form>
			</div>
			<div class="group-separator"></div>
		<?php }?>

		<?php if ($is_paypal_recurring_active){ ?>
			<div class="group"><h3><?=$FRONTEND_MC_PAYPAL?></h3></div>
			<?php foreach ($customer_paypal_account as $key => $value) { ?>
				<div class="group-list">
					<div class="group-img">
						<?php if (file_exists('catalog/view/theme/' . $config_template . '/vrpayecommerce/paypal.png')):?>
							<img src="catalog/view/theme/<?php echo $config_template; ?>/image/vrpayecommerce/paypal.png" class="brandImage" alt="PAYPAL">
						<?php else:?>
							<img src="catalog/view/theme/default/image/vrpayecommerce/paypal.png" class="brandImage" alt="PAYPAL">
						<?php endif;?>
					</div>
					<span class="group-info"><?=$FRONTEND_MC_EMAIL?> <?php echo $value['email'];?></span>	
					<div class="group-button">
						<?php if($value['payment_default']){ ?>
							<button class="btn btn-primary btnDefault"><?=$FRONTEND_MC_BT_DEFAULT?></button>
						<?php }else { ?>
							<form class="btnDefault" action="<?php echo $default_payment;?>" method="post">
								<input type="hidden" name="id" value="<?php echo $value['id'];?>"/>
								<input type="hidden" name="payment_group" value="VA"/>
								<button style = "width:100%;" class="btn btn-primary" type="submit" value="submit"><?=$FRONTEND_MC_BT_SETDEFAULT?></button>
							</form>	
						<?php }?>
						<form class="btnChange" action="<?php echo $change_payment;?>" method="post">
							<input type="hidden" name="id" value="<?php echo $value['id'];?>"/>
							<input type="hidden" name="selected_payment" value="vrpayecommerce_paypal_saved"/>
							<button style = "width:100%;" class="btn btn-primary" type="submit" value="submit"><?=$FRONTEND_MC_BT_CHANGE?></button>
						</form>
						<form class="btnDelete" action="<?php echo $delete_payment;?>" method="post">
							<input type="hidden" name="id" value="<?php echo $value['id'];?>"/>
							<input type="hidden" name="selected_payment" value="vrpayecommerce_paypal_saved"/>			
							<button style = "width:100%;" class="btn btn-primary" type="submit" value="submit"><?=$FRONTEND_MC_BT_DELETE?></button>
						</form>
					</div>
				</div>
			<?php }?>
			<div class="group-add">
				<form class = "btnAdd" action="<?php echo $register_payment;?>" method="post">
					<input type="hidden" name="selected_payment" value="vrpayecommerce_paypal_saved"/>
					<button style = "width:100%;" class="btn btn-primary" type="submit" value="submit"><?=$FRONTEND_MC_BT_ADD?></button>
				</form>
			</div>
			<div class="group-separator"></div>
		<?php }?>

	<?php } ?>

	<?php echo $content_bottom; ?></div>
	<?php echo $column_right; ?></div>
</div>
<?php echo $footer; ?>