<?php echo $header; ?>
<?php if (file_exists('catalog/view/theme/' . $config_template . '/vrpayecommerce/payment_form.css')):?>
	<link href="catalog/view/theme/<?php echo $config_template; ?>/stylesheet/vrpayecommerce/payment_form.css" rel="stylesheet" type="text/css">
<?php else:?>
	<link href="catalog/view/theme/default/stylesheet/vrpayecommerce/payment_form.css" rel="stylesheet" type="text/css">
<?php endif;?>
<div class="container">
  <ul class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
    <?php } ?>
  </ul>

	<script type="text/javascript">
	    var wpwlOptions = {
	        locale: "<?=$lang?>",
	        style: "card",
	        onReady: function(){
		        var buttonCancel = "<div class='btn-box'><a href='<?=$cancel_url?>' class='wpwl-button btn_cancel'><?=$FRONTEND_BT_CANCEL?></a></div>";
		        var ttTestMode = "<div class='testmode'><?=$FRONTEND_TT_TESTMODE?></div>";
		        var headerWidget = "<h2 style='text-align : center !important;'><?=$FRONTEND_RECURRING_WIDGET_HEADER2?></h2>";
		        var form_wpwl_form = $('form.wpwl-form');
	            form_wpwl_form.find('.wpwl-button').after(buttonCancel);
	            form_wpwl_form.css("display","block");
		        var clearFloat = "<div style='clear:both'></div>";
		        var btnPayNow = "<button type='submit' name='pay' class='wpwl-button wpwl-button-pay'><?=$FRONTEND_BT_PAYNOW?></button>";
		        var form_va_paypal = $('form.wpwl-form-virtualAccount-PAYPAL');
		        form_va_paypal.find('.wpwl-button-brand').wrap( "<div class='payment-brand'></div>");
				form_va_paypal.find('.btn_cancel').after(btnPayNow);
				form_va_paypal.find('.wpwl-button-pay').after(clearFloat);
				<?php if ($test_mode){ ?>
					$(".wpwl-container").wrap( "<div class='frametest'></div>").before(ttTestMode);
				<?php }?>
				<?php if (isset($recurring) && $recurring) { ?>
					$('#wpwl-registrations').after(headerWidget);
				<?php } ?>
	        },
	        registrations: {
	            hideInitialPaymentForms: false,
	            requireCvv: false
	        }
        }
  	</script>
  	<?php if (!empty($registrations)) { ?>
		<h2 style="text-align : center !important;"><?=$FRONTEND_RECURRING_WIDGET_HEADER1?></h2>
	<?php }else{ ?>
		<h2 style="text-align : center !important;"><?=$FRONTEND_MC_PAYANDSAFE?></h2>
	<?php } ?>
	<?php if (isset($error)) { ?>
		<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error; ?>
      		<button type="button" class="close" data-dismiss="alert">&times;</button>
    	</div>
	<?php } ?>
	 <?php if (!empty($registrations)){ ?>
	   <script>
	   $(document).ready(function() {
	    $( "input[type=radio][name=registrationId]" ).on( "click", function() {
	     $(".wpwl-group-registration").removeClass("wpwl-selected");
	     $(".regid"+this.value).addClass("wpwl-selected");
	    });
	   });
	   </script>
	  <div id="wpwl-registrations">
	   <div class="wpwl-container wpwl-container-registration wpwl-clearfix" style="display: block;">
	     <form class="wpwl-form wpwl-form-registrations wpwl-form-has-inputs wpwl-clearfix" action="<?=$responseUrl?>" method="POST" lang="en" accept-charset="UTF-8" data-action="submit-registration">
	      <?php foreach ($registrations as $key => $value){ ?>

	       <?php if($value['payment_default'] == 1){ ?>
	        <div class="regid<?php echo $value['ref_id']; ?> wpwl-group wpwl-group-registration wpwl-clearfix wpwl-selected ">
	       <?php }else{ ?>
	        <div class="regid<?php echo $value['ref_id']; ?> wpwl-group wpwl-group-registration wpwl-clearfix ">
	       <?php } ?>
	        <label class="wpwl-registration">
	         <div class="wpwl-wrapper-registration wpwl-wrapper-registration-registrationId">
	          <?php if($value['payment_default'] == 1){ ?>
	           <input type="radio" name="registrationId" value="<?php echo $value['ref_id']; ?>" checked="checked" data-action="change-registration">
	           <?php }else{ ?>
	           <input type="radio" name="registrationId" value="<?php echo $value['ref_id']; ?>" data-action="change-registration">
	          <?php } ?>
	         </div>
	         <div class="wpwl-wrapper-registration wpwl-wrapper-registration-details">
	          <div class="wpwl-wrapper-registration wpwl-wrapper-registration-email"><?php echo $value['email']; ?></div>
	          <div class="wpwl-wrapper-registration wpwl-wrapper-registration-holder"><?php echo $value['holder']; ?></div>
	         </div>
	         <div class="wpwl-wrapper-registration wpwl-wrapper-registration-cvv"></div>
	        </label>
	       </div>
	      <?php } ?>
	      <div class="wpwl-group wpwl-group-submit wpwl-clearfix">
	       <div class="wpwl-wrapper wpwl-wrapper-submit">
	        <button type="submit" name="pay" class="wpwl-button wpwl-button-pay"><?=$FRONTEND_BT_PAYNOW?></button>
	       </div>
	      </div>
	     </form>
	    <iframe name="registrations-target" class="wpwl-target" src="about:blank" frameborder="0"></iframe>
	   </div>
	  </div>
	 <?php } ?>

	<input type="submit" value="Submit" style="display:none" />
	<script src="<?=$payment_widget_url?>" type="text/javascript"></script>
	<form action="<?=$response_url?>" class="paymentWidgets"><?=$brand?></form>

	<?php echo $content_bottom; ?></div>
	<?php echo $column_right; ?></div>
</div>
<?php echo $footer; ?>
