<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-vrpayecommerce_ageneral" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $BACKEND_CH_EDIT; ?></h3>
        <label class="pull-right">v2.3.03</label>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-vrpayecommerce_ageneral" class="form-horizontal">
           <div class="form-group">
            <label class="col-sm-2 control-label" for="input-login"><?php echo $BACKEND_CH_LOGIN; ?></label>
            <div class="col-sm-10">
              <input type="text" name="vrpayecommerce_ageneral_login" value="<?php echo $vrpayecommerce_ageneral_login; ?>" placeholder="<?php echo $BACKEND_CH_LOGIN; ?>" id="input-login" class="form-control" />
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-password"><?php echo $BACKEND_CH_PASSWORD; ?></label>
            <div class="col-sm-10">
              <input type="text" name="vrpayecommerce_ageneral_password" value="<?php echo $vrpayecommerce_ageneral_password; ?>" placeholder="<?php echo $BACKEND_CH_PASSWORD; ?>" id="input-password" class="form-control" />
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-recurring"><?php echo $BACKEND_CH_RECURRING; ?></label>
            <div class="col-sm-10">
             <select name="vrpayecommerce_ageneral_recurring" id="input-recurring" class="form-control">
                <?php if ($vrpayecommerce_ageneral_recurring) { ?>
                <option value="1" selected="selected">Yes</option>
                <option value="0">No</option>
                <?php } else { ?>
                <option value="1">Yes</option>
                <option value="0" selected="selected">No</option>
                <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-gender_customfield"><?php echo $BACKEND_GENERAL_GENDER_CUSTOMFIELD; ?></label>
            <div class="col-sm-10">
              <select name="vrpayecommerce_ageneral_gender_customfield" id="input-gender_customfield" class="form-control">
                <option value="0">-</option>
                <?php foreach ($custom_fields as $custom_field) { ?>
                <?php if ($custom_field['custom_field_id'] == $vrpayecommerce_ageneral_gender_customfield) { ?>
                <option value="<?php echo $custom_field['custom_field_id']; ?>" selected="selected"><?php echo $custom_field['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $custom_field['custom_field_id']; ?>"><?php echo $custom_field['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-gender_malevalue"><?php echo $BACKEND_GENERAL_GENDER_MALEVALUE; ?></label>
            <div class="col-sm-10">
              <select name="vrpayecommerce_ageneral_gender_malevalue" id="input-gender_malevalue" class="form-control">
                <option value="0">-</option>
                <?php foreach ($custom_field_values as $custom_field_value) { ?>
                <?php if ($custom_field_value['custom_field_value_id'] == $vrpayecommerce_ageneral_gender_malevalue) { ?>
                <option value="<?php echo $custom_field_value['custom_field_value_id']; ?>" selected="selected"><?php echo $custom_field_value['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $custom_field_value['custom_field_value_id']; ?>"><?php echo $custom_field_value['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-gender_femalevalue"><?php echo $BACKEND_GENERAL_GENDER_FEMALEVALUE; ?></label>
            <div class="col-sm-10">
              <select name="vrpayecommerce_ageneral_gender_femalevalue" id="input-gender_femalevalue" class="form-control">
                <option value="0">-</option>
                <?php foreach ($custom_field_values as $custom_field_value) { ?>
                <?php if ($custom_field_value['custom_field_value_id'] == $vrpayecommerce_ageneral_gender_femalevalue) { ?>
                <option value="<?php echo $custom_field_value['custom_field_value_id']; ?>" selected="selected"><?php echo $custom_field_value['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $custom_field_value['custom_field_value_id']; ?>"><?php echo $custom_field_value['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-dob_customfield"><?php echo $BACKEND_GENERAL_DOB_CUSTOMFIELD; ?></label>
            <div class="col-sm-10">
              <select name="vrpayecommerce_ageneral_dob_customfield" id="input-dob_customfield" class="form-control">
                <option value="0">-</option>
                <?php foreach ($custom_fields as $custom_field) { ?>
                <?php if ($custom_field['custom_field_id'] == $vrpayecommerce_ageneral_dob_customfield) { ?>
                <option value="<?php echo $custom_field['custom_field_id']; ?>" selected="selected"><?php echo $custom_field['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $custom_field['custom_field_id']; ?>"><?php echo $custom_field['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-merchantemail"><?php echo $BACKEND_GENERAL_MERCHANTEMAIL; ?></label>
            <div class="col-sm-10">
              <input type="text" name="vrpayecommerce_ageneral_merchant_email" value="<?php echo $vrpayecommerce_ageneral_merchant_email; ?>" placeholder="<?php echo $BACKEND_GENERAL_MERCHANTEMAIL; ?>" id="input-merchantemail" class="form-control" />
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-merchantno"><span data-toggle="tooltip" title="<?php echo $BACKEND_TT_MERCHANT_ID; ?>"><?php echo $BACKEND_GENERAL_MERCHANTNO; ?></span></label>
            <div class="col-sm-10">
              <input type="text" name="vrpayecommerce_ageneral_merchant_no" value="<?php echo $vrpayecommerce_ageneral_merchant_no; ?>" placeholder="<?php echo $BACKEND_GENERAL_MERCHANTNO; ?>" id="input-merchantno" class="form-control" />
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-shopurl"><?php echo $BACKEND_GENERAL_SHOPURL; ?></label>
            <div class="col-sm-10">
              <input type="text" name="vrpayecommerce_ageneral_shop_url" value="<?php echo $vrpayecommerce_ageneral_shop_url; ?>" placeholder="<?php echo $BACKEND_GENERAL_SHOPURL; ?>" id="input-shopurl" class="form-control" />
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-versiontracker"><span data-toggle="tooltip" title="<?php echo $BACKEND_TT_VERSION_TRACKER; ?>"><?php echo $BACKEND_CH_VERSION_TRACKER; ?></span></label>
            <div class="col-sm-10">
             <select name="vrpayecommerce_ageneral_version_tracker" id="input-versiontracker" class="form-control">
                <?php if ($vrpayecommerce_ageneral_version_tracker) { ?>
                <option value="1" selected="selected"><?php echo $text_enabled ?></option>
                <option value="0"><?php echo $text_disabled ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_enabled ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled ?></option>
                <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-status"><?php echo $BACKEND_CH_STATUS; ?></label>
            <div class="col-sm-10">
              <select name="vrpayecommerce_ageneral_status" id="input-status" class="form-control">
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
              </select>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
<?php echo $footer; ?>