<?php echo $header; ?>
<script language="JavaScript">
  function getSelectedCards()
 {
    var cardtypes = document.getElementById('input-cards-types');
    var cardtypesVal = "";
    var i = 0;
    for (i=0;i<cardtypes.length;i++)
    {
        if (cardtypes[i].selected)
        {
          cardtypesVal = cardtypesVal + "," + cardtypes[i].value;
        }
    }
    document.getElementById('select_cards').value = cardtypesVal.substring(1);
  }
</script>
<?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-vrpayecommerce_cc_saved" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $BACKEND_CH_EDIT; ?></h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-vrpayecommerce_cc_saved" class="form-horizontal">
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-server"><?php echo $BACKEND_CH_SERVER; ?></label>
            <div class="col-sm-10">
              <select name="vrpayecommerce_cc_saved_server" id="input-server" class="form-control">
                <?php if ($vrpayecommerce_cc_saved_server == 'TEST') { ?>
                <option value="TEST" selected="selected"><?php echo $BACKEND_CH_MODE_TEST; ?></option>
                <?php } else { ?>
                <option value="TEST"><?php echo $BACKEND_CH_MODE_TEST; ?></option>
                <?php } ?>
                <?php if ($vrpayecommerce_cc_saved_server == 'LIVE') { ?>
                <option value="LIVE" selected="selected"><?php echo $BACKEND_CH_MODE_LIVE; ?></option>
                <?php } else { ?>
                <option value="LIVE"><?php echo $BACKEND_CH_MODE_LIVE; ?></option>
                <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-mode"><?php echo $BACKEND_CH_MODE; ?></label>
            <div class="col-sm-10">
              <select name="vrpayecommerce_cc_saved_transaction_mode" id="input-mode" class="form-control">
                <?php if ($vrpayecommerce_cc_saved_transaction_mode == 'DB') { ?>
                <option value="DB" selected="selected"><?php echo $BACKEND_CH_MODEDEBIT; ?></option>
                <?php } else { ?>
                <option value="DB"><?php echo $BACKEND_CH_MODEDEBIT; ?></option>
                <?php } ?>
                <?php if ($vrpayecommerce_cc_saved_transaction_mode == 'PA') { ?>
                <option value="PA" selected="selected"><?php echo $BACKEND_CH_MODEPREAUTH; ?></option>
                <?php } else { ?>
                <option value="PA"><?php echo $BACKEND_CH_MODEPREAUTH; ?></option>
                <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-cards-types"><?php echo $BACKEND_CH_CARDS; ?></label>
            <div class="col-sm-10">
              <input type="hidden" id="select_cards" name="vrpayecommerce_cc_saved_cards_types" value="<?=$vrpayecommerce_cc_saved_cards_types?>">
              <select onchange="getSelectedCards();" name="cards_types[]" multiple="multiple" id="input-cards-types" class="form-control" style="height:100px !important">
                <?php 
                  $cardtypes = array('VISA', 'MASTER', 'AMEX', 'DINERS', 'JCB');
                  $selected = explode(',', $vrpayecommerce_cc_saved_cards_types);
                  foreach ($cardtypes as $value) {
                    $attribute = in_array($value, $selected) ? 'selected="selected"' : '';
                    echo '<option value="'.$value.'" '.$attribute.' >'.$value.'</option>';
                  }
                ?>
              </select>
            </div>
          </div>          
           <div class="form-group">
            <label class="col-sm-2 control-label" for="input-amount"><span data-toggle="tooltip" title="<?php echo $BACKEND_TT_REGISTRATION_AMOUNT; ?>"><?php echo $BACKEND_CH_AMOUNT; ?></span></label>
            <div class="col-sm-10">
              <input type="text" name="vrpayecommerce_cc_saved_amount" value="<?php echo $vrpayecommerce_cc_saved_amount; ?>" placeholder="<?php echo $BACKEND_CH_AMOUNT; ?>" id="input-amount" class="form-control" />
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-multichannel"><span data-toggle="tooltip" title="<?php echo $BACKEND_TT_MULTICHANNEL; ?>"><?php echo $BACKEND_CH_MULTICHANNEL; ?></span></label>
            <div class="col-sm-10">
             <select name="vrpayecommerce_cc_saved_multichannel" id="input-multichannel" class="form-control">
                <?php if ($vrpayecommerce_cc_saved_multichannel) { ?>
                <option value="1" selected="selected">Yes</option>
                <option value="0">No</option>
                <?php } else { ?>
                <option value="1">Yes</option>
                <option value="0" selected="selected">No</option>
                <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-channel_id"><?php echo $BACKEND_CH_CHANNEL; ?></label>
            <div class="col-sm-10">
              <input type="text" name="vrpayecommerce_cc_saved_channel_id" value="<?php echo $vrpayecommerce_cc_saved_channel_id; ?>" placeholder="<?php echo $BACKEND_CH_CHANNEL; ?>" id="input-channel_id" class="form-control" />
            </div>
          </div>
           <div class="form-group">
            <label class="col-sm-2 control-label" for="input-moto"><span data-toggle="tooltip" title="<?php echo $BACKEND_TT_CHANNEL_MOTO; ?>"><?php echo $BACKEND_CH_MOTO; ?></span></label>
            <div class="col-sm-10">
              <input type="text" name="vrpayecommerce_cc_saved_moto" value="<?php echo $vrpayecommerce_cc_saved_moto; ?>" placeholder="<?php echo $BACKEND_CH_MOTO; ?>" id="input-moto" class="form-control" />
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-total"><span data-toggle="tooltip" title="<?php echo $BACKEND_TT_TOTAL; ?>"><?php echo $BACKEND_CH_TOTAL; ?></span></label>
            <div class="col-sm-10">
              <input type="text" name="vrpayecommerce_cc_saved_total" value="<?php echo $vrpayecommerce_cc_saved_total; ?>" placeholder="<?php echo $BACKEND_CH_TOTAL; ?>" id="input-total" class="form-control" />
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-geo-zone"><?php echo $BACKEND_CH_ZONE; ?></label>
            <div class="col-sm-10">
              <select name="vrpayecommerce_cc_saved_geo_zone_id" id="input-geo-zone" class="form-control">
                <option value="0"><?php echo $text_all_zones; ?></option>
                <?php foreach ($geo_zones as $geo_zone) { ?>
                <?php if ($geo_zone['geo_zone_id'] == $vrpayecommerce_cc_saved_geo_zone_id) { ?>
                <option value="<?php echo $geo_zone['geo_zone_id']; ?>" selected="selected"><?php echo $geo_zone['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $geo_zone['geo_zone_id']; ?>"><?php echo $geo_zone['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-status"><?php echo $BACKEND_CH_STATUS; ?></label>
            <div class="col-sm-10">
              <select name="vrpayecommerce_cc_saved_status" id="input-status" class="form-control">
                <?php if ($vrpayecommerce_cc_saved_status) { ?>
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="0"><?php echo $text_disabled; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_enabled; ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-sort-order"><?php echo $BACKEND_CH_ORDER; ?></label>
            <div class="col-sm-10">
              <input type="text" name="vrpayecommerce_cc_saved_sort_order" value="<?php echo $vrpayecommerce_cc_saved_sort_order; ?>" placeholder="<?php echo $BACKEND_CH_ORDER; ?>" id="input-sort-order" class="form-control" />
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
<?php echo $footer; ?> 