<?php
/* VR pay eCommerce Klarna Installments checkout controller
 *
 * @version 2.3.03
 * @date 2018-01-03
 *
 */
include_once(dirname(__FILE__) . '/vrpayecommerce_klarna.php');

class ControllerCheckoutVrpayecommerceKlarnasliceit extends ControllerCheckoutVrpayecommerceKlarna {
	protected $code = "vrpayecommerce_klarnasliceit";
	protected $brand = "KLARNA_INSTALLMENTS";
	protected $logo = "https://cdn.klarna.com/1.0/shared/image/generic/logo/sv_se/basic/blue-black.png?width=200";

	/**
	 * Get payment parameters
	 *
	 * @return array
	 */
	protected function getPaymentParameters() {
		$payment_parameters = parent::getPaymentParameters();
		$payment_parameters['customParameters']['KLARNA_PCLASS_FLAG'] = $this->config->get('vrpayecommerce_klarnasliceit_pclass');

		return $payment_parameters;
	}
}
