<?php
/* VR pay eCommerce Credit Cards (recurring) payment controller
 *
 * @version 2.3.03
 * @date 2018-01-03
 *
 */
include_once(dirname(__FILE__) . '/../../vrpayecommerce/vrpayecommerce.php');

class ControllerExtensionPaymentVrpayecommerceCcSaved extends ControllerVrpayecommerce {
	protected $code = 'vrpayecommerce_cc_saved';
	protected $account_type = 'card';
	protected $recurring = true;
	protected $group_recurring = 'CC';

	/**
	 * this function is the constructor of ControllerExtensionPaymentVrpayecommerceCcSaved class
	 *
	 * @return  void
	 */
	public function index() {

		return $this->confirmHtml();
	}

	/**
	 * Get a payment type
	 *
	 * @return  string
	 */
	function getPaymentType()
	{
	  return $this->getPaymentTypeSelection();
	}
}
