<?php echo $header; ?>
<style type="text/css">
#form-currency{
	display: none;
}
</style>
<div id="content">
	<div class="container">
	  <ul class="breadcrumb">
	    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
	    <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
	    <?php } ?>
	  </ul>
	  <div id="content">
      <h1><?php echo $heading_title; ?></h1>
      <p>
      	<?php echo $tilgungsplanText;?>
      	<a target="_blank" href="<?php echo $vorvertraglicheInformationen;?>"><?php echo $easycredit_link;?></a>
      </p>
		<div class="table-responsive">
		  <table class="table table-bordered">
		    <thead>
		      <tr>
		        <td class="text-center"><?php echo $column_image; ?></td>
		        <td class="text-left"><?php echo $column_name; ?></td>
		        <td class="text-left"><?php echo $column_model; ?></td>
		        <td class="text-left"><?php echo $column_quantity; ?></td>
		        <td class="text-right"><?php echo $column_price; ?></td>
		        <td class="text-right"><?php echo $column_total; ?></td>
		      </tr>
		    </thead>
		    <tbody>
		      <?php foreach ($products as $product) { ?>
		      <tr>
		        <td class="text-center"><?php if ($product['thumb']) { ?>
		          <a target="_blank" href="<?php echo $product['href']; ?>"><img src="<?php echo $product['thumb']; ?>" alt="<?php echo $product['name']; ?>" title="<?php echo $product['name']; ?>" class="img-thumbnail" /></a>
		          <?php } ?></td>
		        <td class="text-left"><a target="_blank" href="<?php echo $product['href']; ?>"><?php echo $product['name']; ?></a>
		          <?php if (!$product['stock']) { ?>
		          <span class="text-danger">***</span>
		          <?php } ?>
		          <?php if ($product['option']) { ?>
		          <?php foreach ($product['option'] as $option) { ?>
		          <br />
		          <small><?php echo $option['name']; ?>: <?php echo $option['value']; ?></small>
		          <?php } ?>
		          <?php } ?>
		          <?php if ($product['reward']) { ?>
		          <br />
		          <small><?php echo $product['reward']; ?></small>
		          <?php } ?>
		          <?php if ($product['recurring']) { ?>
		          <br />
		          <span class="label label-info"><?php echo $text_recurring_item; ?></span> <small><?php echo $product['recurring']; ?></small>
		          <?php } ?></td>
		        <td class="text-left"><?php echo $product['model']; ?></td>
		        <td class="text-left"><?php echo $product['quantity']; ?></td>
		        <td class="text-right"><?php echo $product['price']; ?></td>
		        <td class="text-right"><?php echo $product['total']; ?></td>
		      </tr>
		      <?php } ?>
		    </tbody>
		  </table>
		</div>
		<div class="row">
			<div class="col-sm-4 col-sm-offset-8">
			  <table class="table table-bordered">
			    <?php foreach ($totals as $total) { ?>
			    <tr>
			      <td class="text-right"><strong><?php echo $total['title']; ?>:</strong></td>
			      <td class="text-right"><?php echo $total['text']; ?></td>
			    </tr>
			    <?php } ?>
			    <tr>
			      <td class="text-right"><strong><?php echo $FRONTEND_EASYCREDIT_INTEREST;?>:</strong></td>
			      <td class="text-right"><?php echo $sumofinterest; ?></td>
			    </tr>
			    <tr>
			      <td class="text-right"><strong><?php echo $FRONTEND_EASYCREDIT_TOTAL;?>:</strong></td>
			      <td class="text-right"><?php echo $ordertotal; ?></td>
			    </tr>
			  </table>
			</div>
		</div>
		<div class="buttons">
			<div class="pull-left"><a href="<?php echo $cancel; ?>" class="btn btn-default"><?php echo $button_shopping;?></a></div>
			<form method="post" action="<?php echo $form_action;?>">
				<input type="hidden" name="checkoutId" value="<?php echo $checkoutId;?>" />
				<input type="hidden" name="amount" value="<?php echo $amount;?>" />
				<input type="hidden" name="currency" value="<?php echo $currency;?>" />
				<div class="pull-right">
					<button type="submit" class="btn btn-primary"><?php echo $text_btn_checkout;?></button>
				</div>
			</form>
		</div>
      </div>
	</div>
</div>
<?php echo $footer; ?>